org.jgrapht.event

## Class VertexTraversalEvent<V>

- java.lang.Object
- - java.util.EventObject
  - - org.jgrapht.event.VertexTraversalEvent<V>

- All Implemented Interfaces:
    Serializable

      public class VertexTraversalEvent<V>
      extends EventObject

  A traversal event for a graph vertex.
  Since:
    Aug 11, 2003
  Author:
    Barak Naveh
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected V` | `vertex` The traversed vertex.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexTraversalEvent(Object eventSource, V vertex)` Creates a new VertexTraversalEvent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `getVertex()` Returns the traversed vertex.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### vertex

          protected V vertex

      The traversed vertex.

  - ### Constructor Detail

    - #### VertexTraversalEvent

          public VertexTraversalEvent(Object eventSource,
                              V vertex)

      Creates a new VertexTraversalEvent.
      Parameters:
        `eventSource` - the source of the event.
        `vertex` - the traversed vertex.

  - ### Method Detail

    - #### getVertex

          public V getVertex()

      Returns the traversed vertex.
      Returns:
        the traversed vertex.

Copyright © 2016. All rights reserved.